// app/sitemap.js
export default function sitemap() {
  const baseUrl = 'https://aaramland.ir/';

  return [
    {
      url: baseUrl,
      lastModified: new Date(),
      changeFrequency: 'weekly',
      priority: 1,
    },
    {
      url: `${baseUrl}blog/`,
      lastModified: new Date(),
      changeFrequency: 'weekly',
      priority: 0.9,
    },
    {
      url: `${baseUrl}blog/tmryn-tnfsy-bry-khhsh-strs.html`,
      lastModified: new Date(),
      changeFrequency: 'weekly',
      priority: 0.8,
    },
    {
      url: `${baseUrl}blog/mdytyshn-chyh.html`,
      lastModified: new Date(),
      changeFrequency: 'weekly',
      priority: 0.7,
    },
    {
      url: `${baseUrl}blog/khls-shdn-z-strs-b-arm-lnd.html`,
      lastModified: new Date(),
      changeFrequency: 'weekly',
      priority: 0.6,
    },
  ];
}

// Add this export for static generation
export async function generateSitemaps() {
  return [{ id: '0' }];
}